import { useIsomorphicLayoutEffect } from '../utils/hooks/useIsomorphicLayoutEffect';
var MountElement = function (_a) {
    var node = _a.node, getParent = _a.getParent, selector = _a.selector;
    useIsomorphicLayoutEffect(function () {
        var parent = getParent(selector);
        parent.appendChild(node);
        return function () {
            parent.removeChild(node);
        };
    }, [node, selector, getParent]);
    return null;
};
export default MountElement;
